# Class IfscBasedAccountPayload

#### Hierarchy

- unknown
  - IfscBasedAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:4772
- Defined in src/protobuf/pb_pb.d.ts:4807

#####
Index

### Constructors

constructor

### Methods

clearImpsAccountPayload
clearNeftAccountPayload
clearRtgsAccountPayload
getAccountNr
getHolderName
getIfsc
getImpsAccountPayload
getMessageCase
getNeftAccountPayload
getRtgsAccountPayload
hasImpsAccountPayload
hasNeftAccountPayload
hasRtgsAccountPayload
serializeBinary
setAccountNr
setHolderName
setIfsc
setImpsAccountPayload
setNeftAccountPayload
setRtgsAccountPayload
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new IfscBasedAccountPayload(): IfscBasedAccountPayload

- #### Returns IfscBasedAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### clearImpsAccountPayload

- clearImpsAccountPayload(): IfscBasedAccountPayload

- #### Returns IfscBasedAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4795

### clearNeftAccountPayload

- clearNeftAccountPayload(): IfscBasedAccountPayload

- #### Returns IfscBasedAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4785

### clearRtgsAccountPayload

- clearRtgsAccountPayload(): IfscBasedAccountPayload

- #### Returns IfscBasedAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4790

### getAccountNr

- getAccountNr(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4776

### getHolderName

- getHolderName(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4773

### getIfsc

- getIfsc(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4779

### getImpsAccountPayload

- getImpsAccountPayload(): undefined | ImpsAccountPayload

- #### Returns undefined | ImpsAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4792

### getMessageCase

- getMessageCase(): IfscBasedAccountPayload.MessageCase

- #### Returns IfscBasedAccountPayload.MessageCase

  - Defined in src/protobuf/pb_pb.d.ts:4797

### getNeftAccountPayload

- getNeftAccountPayload(): undefined | NeftAccountPayload

- #### Returns undefined | NeftAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4782

### getRtgsAccountPayload

- getRtgsAccountPayload(): undefined | RtgsAccountPayload

- #### Returns undefined | RtgsAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4787

### hasImpsAccountPayload

- hasImpsAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:4794

### hasNeftAccountPayload

- hasNeftAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:4784

### hasRtgsAccountPayload

- hasRtgsAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:4789

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:4799

### setAccountNr

- setAccountNr(value: string): IfscBasedAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns IfscBasedAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4777

### setHolderName

- setHolderName(value: string): IfscBasedAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns IfscBasedAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4774

### setIfsc

- setIfsc(value: string): IfscBasedAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns IfscBasedAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4780

### setImpsAccountPayload

- setImpsAccountPayload(value?: ImpsAccountPayload): IfscBasedAccountPayload

- #### Parameters

  - ##### `Optional` value: ImpsAccountPayload

  #### Returns IfscBasedAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4793

### setNeftAccountPayload

- setNeftAccountPayload(value?: NeftAccountPayload): IfscBasedAccountPayload

- #### Parameters

  - ##### `Optional` value: NeftAccountPayload

  #### Returns IfscBasedAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4783

### setRtgsAccountPayload

- setRtgsAccountPayload(value?: RtgsAccountPayload): IfscBasedAccountPayload

- #### Parameters

  - ##### `Optional` value: RtgsAccountPayload

  #### Returns IfscBasedAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4788

### toObject

- toObject(includeInstance?: boolean): IfscBasedAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns IfscBasedAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4800

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): IfscBasedAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns IfscBasedAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4803

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: IfscBasedAccountPayload, reader: BinaryReader): IfscBasedAccountPayload

- #### Parameters

  - ##### message: IfscBasedAccountPayload

  - ##### reader: BinaryReader

  #### Returns IfscBasedAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4804

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: IfscBasedAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: IfscBasedAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:4802

### `Static` toObject

- toObject(includeInstance: boolean, msg: IfscBasedAccountPayload): IfscBasedAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: IfscBasedAccountPayload

  #### Returns IfscBasedAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4801

Generated using TypeDoc